package com.gxx.record.service;

import java.util.List;

/**
 * <dl>
 * <dt><b>Title:</b></dt>
 * <dd>
 * redis服务接口</dd>
 * <dt><b>Description:</b></dt>
 * <dd>
 * <p>
 * none</dd>
 * </dl>
 *
 * @author Administrator
 * @version 1.0, 2015年7月19日
 * @since record
 *
 */
public interface RedisService {
	/**
	 * set
	 * 
	 * @param key
	 * @param value
	 * @return
	 */
	public boolean set(String key, Object value);

	/**
	 * get
	 * 
	 * @param key
	 * @return
	 */
	public Object get(String key);

	/**
	 * delete
	 * 
	 * @param key
	 * @return
	 */
	public Object delete(String key);

	/**
	 * listLeftPush
	 * 
	 * @param key
	 * @return
	 */
	public long listLeftPush(String key, String url);

	/**
	 * listRightPush
	 * 
	 * @param key
	 * @return
	 */
	public long listRightPush(String key, String url);

	/**
	 * listRange
	 * 
	 * @param key
	 * @return
	 */
	public List<Object> listRange(String key, long start, long end);

	/**
	 * hashSetNx
	 * 
	 * @param hash
	 * @param key
	 * @param value
	 * @return
	 */
	public boolean hashSetNx(String hash, String key, String value);

	/**
	 * hashSize
	 * 
	 * @param hash
	 * @return
	 */
	public long hashSize(String hash);

	/**
	 * hashExist
	 * 
	 * @param hash
	 * @param key
	 * @return
	 */
	public boolean hashExist(String hash, String key);
}
