package com.gxx.record.service.impl;

import org.apache.commons.lang3.StringUtils;

import com.gxx.record.dto.RmiRequest;
import com.gxx.record.dto.RmiResponse;
import com.gxx.record.service.RmiService;

/**
 * 
 * <dl>
 *    <dt><b>Title:</b></dt>
 *    <dd>
 *    	RMI远程调用接口实现类
 *    </dd>
 *    <dt><b>Description:</b></dt>
 *    <dd>
 *    	<p>none
 *    </dd>
 * </dl>
 *
 * @author Administrator
 * @version 1.0, 2015年8月2日
 * @since record
 *
 */
public class RmiServiceImpl implements RmiService {
	public static final String BUSINESS_CODE_CHECK_USER_PASSWORD = "CHECK_USER_PASSWORD";
	
	/**
	 * 远程调用
	 * @param request
	 * @return
	 * @throws Exception
	 */
	public RmiResponse process(RmiRequest request) throws Exception {
		RmiResponse response = new RmiResponse();
		if(StringUtils.equals(request.getBusinessCode(), BUSINESS_CODE_CHECK_USER_PASSWORD)){
			if(StringUtils.equals("gxx", request.getName())){
				if(StringUtils.equals("123456", request.getPassword())){
					response.setSuccess(true);
					response.setMessage("密码验证成功");
				} else {
					response.setSuccess(false);
					response.setMessage("该用户名[" + request.getName() + "]密码有误");
				}
			} else {
				response.setSuccess(false);
				response.setMessage("不存在该用户名[" + request.getName() + "]");
			}
		} else {
			response.setSuccess(false);
			response.setMessage("该业务代码[" + request.getBusinessCode() + "]无效");
		}
		return response;
	}

}
