package com.gxx.record.jms;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

import org.apache.log4j.Logger;

/**
 * 
 * <dl>
 *    <dt><b>Title:</b></dt>
 *    <dd>
 *    	消息监听器
 *    </dd>
 *    <dt><b>Description:</b></dt>
 *    <dd>
 *    	<p>none
 *    </dd>
 * </dl>
 *
 * @author Administrator
 * @version 1.0, 2015年9月24日
 * @since record
 *
 */
public class ConsumerMessageListener implements MessageListener {

	/**
	 * 日志处理器
	 */
	Logger logger = Logger.getLogger(ConsumerMessageListener.class);
	
	@Override
	public void onMessage(Message message) {
		//这里我们知道生产者发送的就是一个纯文本消息，所以这里可以直接进行强制转换
		TextMessage textMsg = (TextMessage) message;
		try {
			logger.info("消息监听器接收内容开始===：" + textMsg.getText());
			Thread.currentThread();
			Thread.sleep(3000);
			logger.info("消息监听器接收内容结束===：" + textMsg.getText());
		} catch (JMSException e) {
			logger.error("消息监听器接收内容异常发生！", e);
		} catch (Exception e) {
			logger.error("睡眠3秒，异常发生！");
		}
	}

}
