package com.gxx.record.rmi;

import junit.framework.TestCase;

import com.caucho.hessian.client.HessianProxyFactory;
import com.gxx.record.dto.RmiRequest;
import com.gxx.record.dto.RmiResponse;
import com.gxx.record.service.RmiService;

/**
 * 
 * <dl>
 *    <dt><b>Title:</b></dt>
 *    <dd>
 *    	远程调用测试类
 *    </dd>
 *    <dt><b>Description:</b></dt>
 *    <dd>
 *    	<p>none
 *    </dd>
 * </dl>
 *
 * @author Administrator
 * @version 1.0, 2015年8月2日
 * @since record
 *
 */
public class RmiServiceTest extends TestCase {
	/**
	 * 测试RMI
	 * @throws Exception
	 */
	public void testRmi() throws Exception{
		String url = "http://localhost/record/hessian/rmi";
		HessianProxyFactory factory = new HessianProxyFactory();
		RmiService service =  (RmiService)factory.create(RmiService.class, url);
		RmiRequest request = new RmiRequest();
		request.setBusinessCode("CHECK_USER_PASSWORD");
		request.setName("gxx");
		request.setPassword("123456");
		RmiResponse response =  service.process(request);
		System.out.println("结果:" + response.isSuccess() + ",信息:" + response.getMessage());
	}
}
